RCS Outbound Message status
RcsOutboundMessageStatusChangedWebhook is sent to the account-level URL configured for the RcsOutboundMessageStatusChanged type
when an RCS message is delivered, failed, or triggers an SMS/MMS fallback.
Authorization
basic Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
RCS outbound message status changed event.
Response Body
curl -X POST "https://example.com/v1/Webhooks/RcsOutboundMessageStatusChangedWebhook" \ -H "Content-Type: application/json" \ -d '{ "type": "RcsOutboundMessageStatusChanged", "sid": "WH08df051c8bb8a0de20751e351a5c4e184e597fbe4a411dd2", "payload": { "sid": "ROXXXXXXXX", "agentId": "MyAgent", "to": "+19876543210", "eventDate": "2023-03-22T16:44:55.123Z", "status": "Delivered" } }'Inbound Message POST
`InboundMessageWebhook` is sent to the `MessagingConfig.InboundCallbackUrl` when an Inbound Message is received for one of your Phone Numbers.
RCS Inbound Message POST
`RcsInboundMessageReceivedWebhook` is sent to the account-level URL configured for the `RcsInboundMessageReceived` type when an end user sends a message to one of your RCS agents.